Overview | Package | Class | Tree | Deprecated | Index | Help
| Java EE 5 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.persistence.spi
Interface PersistenceProvider

    public interface PersistenceProvider

Interface implemented by a persistence provider. The implementation of this interface that is to be used for a given `EntityManager` is specified in persistence.xml file in the persistence archive. This interface is invoked by the Container when it needs to create an `EntityManagerFactory`, or by the Persistence class when running outside the Container.

Since:
  Java Persistence 1.0

Method Summary
`EntityManagerFactory` | `createContainerEntityManagerFactory(PersistenceUnitInfo info, Map map)` Called by the container when an `EntityManagerFactory` is to be created.
`EntityManagerFactory` | `createEntityManagerFactory(String emName, Map map)` Called by Persistence class when an `EntityManagerFactory` is to be created.

Method Detail

### createEntityManagerFactory

    EntityManagerFactory createEntityManagerFactory(String emName,
                                                    Map map)

  Called by Persistence class when an `EntityManagerFactory` is to be created.

  Parameters:
    `emName` - The name of the persistence unit
    `map` - A Map of properties for use by the persistence provider. These properties may be used to override the values of the corresponding elements in the persistence.xml file or specify values for properties not specified in the persistence.xml.
  Returns:
    EntityManagerFactory for the persistence unit, or null if the provider is not the right provider

### createContainerEntityManagerFactory

    EntityManagerFactory createContainerEntityManagerFactory(PersistenceUnitInfo info,
                                                             Map map)

  Called by the container when an `EntityManagerFactory` is to be created.

  Parameters:
    `info` - Metadata for use by the persistence provider
    `map` - A Map of integration-level properties for use by the persistence provider. Can be null if there is no integration-level property.
  Returns:
    EntityManagerFactory for the persistence unit specified by the metadata

Overview | Package | Class | Tree | Deprecated | Index | Help
| Java EE 5 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2006 Sun Microsystems, Inc. All rights reserved.